Limerence
Spaces

Organize Spaces

Generate the team's first Spaces from its connected data sources

POST
/spaces/organize

Generate the team's first Spaces from its connected data sources

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/spaces/organize"
{  "primarySpaceId": "string",  "spaces": [    {      "createdAt": "string",      "description": null,      "id": "string",      "modelId": null,      "name": "string",      "providerId": null,      "teamId": "string",      "transcriptionModelId": null,      "updatedAt": "string"    }  ]}
{  "primarySpaceId": "string",  "spaces": [    {      "createdAt": "string",      "description": null,      "id": "string",      "modelId": null,      "name": "string",      "providerId": null,      "teamId": "string",      "transcriptionModelId": null,      "updatedAt": "string"    }  ]}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}
{  "cause": {    "code": "spaces/organization-rejected",    "detail": "string"  },  "message": "Could not organize your data sources into Spaces"}